Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sqs.model
Class SetQueueAttributesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.sqs.model.SetQueueAttributesRequest

    public class SetQueueAttributesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `SetQueueAttributes operation`.

Sets an attribute of a queue. Currently, you can set only the VisibilityTimeout attribute for a queue.

See Also:
  `AmazonSQS.setQueueAttributes(SetQueueAttributesRequest)`

Constructor Summary
`SetQueueAttributesRequest()` Default constructor for a new SetQueueAttributesRequest object.
`SetQueueAttributesRequest(String queueUrl, Map<String,String> attributes)` Constructs a new SetQueueAttributesRequest object.

Method Summary
`Map<String,String>` | `getAttributes()` A list of attributes to set.
`String` | `getQueueUrl()`
`void` | `setAttributes(Map<String,String> attributes)` A list of attributes to set.
`void` | `setQueueUrl(String queueUrl)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SetQueueAttributesRequest` | `withAttributes(Map<String,String> attributes)` A list of attributes to set.
`SetQueueAttributesRequest` | `withQueueUrl(String queueUrl)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetQueueAttributesRequest

    public SetQueueAttributesRequest()

  Default constructor for a new SetQueueAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### SetQueueAttributesRequest

    public SetQueueAttributesRequest(String queueUrl,
                                     Map<String,String> attributes)

  Constructs a new SetQueueAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `queueUrl` -
    `attributes` - A list of attributes to set.

Method Detail

### getQueueUrl

    public String getQueueUrl()

  Returns:

### setQueueUrl

    public void setQueueUrl(String queueUrl)

  Parameters:
    `queueUrl` -

### withQueueUrl

    public SetQueueAttributesRequest withQueueUrl(String queueUrl)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `queueUrl` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributes

    public Map<String,String> getAttributes()

  A list of attributes to set.

  Returns:
    A list of attributes to set.

### setAttributes

    public void setAttributes(Map<String,String> attributes)

  A list of attributes to set.

  Parameters:
    `attributes` - A list of attributes to set.

### withAttributes

    public SetQueueAttributesRequest withAttributes(Map<String,String> attributes)

  A list of attributes to set.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - A list of attributes to set.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.